Index: Goatee/goatee-command.lisp
===================================================================
RCS file: /project/mcclim/cvsroot/mcclim/Goatee/goatee-command.lisp,v
retrieving revision 1.19
diff -u -r1.19 goatee-command.lisp
--- Goatee/goatee-command.lisp	1 Aug 2004 05:39:41 -0000	1.19
+++ Goatee/goatee-command.lisp	1 Oct 2005 15:03:13 -0000
@@ -67,7 +67,9 @@
 	    modifier-state
 	    (keyboard-event-character gesture))
     (cdr (assoc modifier-state
-		(gethash (keyboard-event-character gesture) table nil)))))
+                (gethash (or (keyboard-event-character gesture)
+                             (keyboard-event-key-name gesture))
+                         table nil)))))
 
 (defmethod lookup-gesture-command (gesture table)
   (declare (ignore gesture table))
@@ -265,18 +267,30 @@
 (add-gesture-command-to-table '(#\f :control)
 			      'forward-character
 			      *simple-area-gesture-table*)
+(add-gesture-command-to-table '(:right)
+			      'forward-character
+			      *simple-area-gesture-table*)
 
 (add-gesture-command-to-table '(#\b :control)
 			      'backward-character
 			      *simple-area-gesture-table*)
+(add-gesture-command-to-table '(:left)
+			      'backward-character
+			      *simple-area-gesture-table*)
 
 (add-gesture-command-to-table '(#\f :meta)
 			      'forward-word
 			      *simple-area-gesture-table*)
+(add-gesture-command-to-table '(:right :meta)
+			      'forward-word
+			      *simple-area-gesture-table*)
 
 (add-gesture-command-to-table '(#\b :meta)
 			      'backward-word
 			      *simple-area-gesture-table*)
+(add-gesture-command-to-table '(:left :meta)
+			      'backward-word
+			      *simple-area-gesture-table*)
 
 (add-gesture-command-to-table '(#\backspace :meta)
 			      'backwards-delete-word
@@ -289,10 +303,16 @@
 (add-gesture-command-to-table '(#\a :control)
 			      'beginning-line
 			      *simple-area-gesture-table*)
+(add-gesture-command-to-table '(:home)
+			      'beginning-line
+			      *simple-area-gesture-table*)
 
 (add-gesture-command-to-table '(#\e :control)
 			      'end-line
 			      *simple-area-gesture-table*)
+(add-gesture-command-to-table '(:end)
+			      'end-line
+			      *simple-area-gesture-table*)
 
 (add-gesture-command-to-table '(#\k :control)
 			      'kill-line
@@ -305,8 +325,14 @@
 (add-gesture-command-to-table '(#\p :control)
 			      'up-line
 			      *simple-area-gesture-table*)
+(add-gesture-command-to-table '(:up)
+			      'up-line
+			      *simple-area-gesture-table*)
 
 (add-gesture-command-to-table '(#\n :control)
+			      'down-line
+			      *simple-area-gesture-table*)
+(add-gesture-command-to-table '(:down)
 			      'down-line
 			      *simple-area-gesture-table*)
 
